Back to LanguageTool Homepage - Privacy - Imprint

LanguageTool-20151013-snapshot.oxt


(Kumara) #1

Attempt to upgrade results in this:
(com.sun.star.uno.RuntimeException) { { Message = "[jni_uno bridge error] UNO calling Java method writeRegistryInfo: non-UNO exception occurred: java.lang.UnsupportedClassVersionError: org/languagetool/openoffice/Main : Unsupported major.minor version 52.0\X000ajava stack trace:\X000ajava.lang.UnsupportedClassVersionError: org/languagetool/openoffice/Main : Unsupported major.minor version 52.0\X000d\X000a\X0009at java.lang.ClassLoader.defineClass1(Native Method)\X000d\X000a\X0009at java.lang.ClassLoader.defineClass(Unknown Source)\X000d\X000a\X0009at java.security.SecureClassLoader.defineClass(Unknown Source)\X000d\X000a\X0009at java.net.URLClassLoader.defineClass(Unknown Source)\X000d\X000a\X0009at java.net.URLClassLoader.access$100(Unknown Source)\X000d\X000a\X0009at java.net.URLClassLoader$1.run(Unknown Source)\X000d\X000a\X0009at java.net.URLClassLoader$1.run(Unknown Source)\X000d\X000a\X0009at java.security.AccessController.doPrivileged(Native Method)\X000d\X000a\X0009at java.net.URLClassLoader.findClass(Unknown Source)\X000d\X000a\X0009at java.lang.ClassLoader.loadClass(Unknown Source)\X000d\X000a\X0009at java.lang.ClassLoader.loadClass(Unknown Source)\X000d\X000a\X0009at java.net.FactoryURLClassLoader.loadClass(Unknown Source)\X000d\X000a\X0009at java.lang.ClassLoader.loadClass(Unknown Source)\X000d\X000a\X0009at com.sun.star.comp.loader.RegistrationClassFinder.find(RegistrationClassFinder.java:52)\X000d\X000a\X0009at com.sun.star.comp.loader.JavaLoader.writeRegistryInfo(JavaLoader.java:380)\X000d\X000a", Context = (com.sun.star.uno.XInterface) @0 } }


(Daniel Naber) #2

LT needs Java 8 now, you probably still have Java 7 installed (or configured in LibreOffice).


(Kumara) #3

This?
http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html


(Daniel Naber) #4

Yes.